Package com.io7m.jtensors.generators

# Class Vector4LGenerator

java.lang.Object
com.io7m.jtensors.generators.Vector4LGenerator

All Implemented Interfaces:
  `net.java.quickcheck.Generator<Vector4L>`

    public final class Vector4LGenerator
    extends java.lang.Object
    implements net.java.quickcheck.Generator<Vector4L>

A vector generator.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Vector4LGenerator​(net.java.quickcheck.Generator<java.lang.Long> in_gen)` | Construct a generator.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static net.java.quickcheck.Generator<Vector4L>` | `create()` | Create a generator initialized with a default component generator.
  `static net.java.quickcheck.Generator<Vector4L>` | `create16()` | Create a generator initialized with a default component generator that produces values in the range `[-32768, 32767]`.
  `static net.java.quickcheck.Generator<Vector4L>` | `create32()` | Create a generator initialized with a default component generator that produces values in the range `[-2147483648, 2147483647]`.
  `static net.java.quickcheck.Generator<Vector4L>` | `create64()` | Create a generator initialized with a default component generator that produces values in the range `[-9223372036854775808, 9223372036854775807]`.
  `static net.java.quickcheck.Generator<Vector4L>` | `create8()` | Create a generator initialized with a default component generator that produces values in the range `[-128, 127]`.
  `static net.java.quickcheck.Generator<Vector4L>` | `createSmall()` | Create a generator initialized with a default component generator that produces values in the range `[-65536, 65536]`.
  `Vector4L` | `next()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Vector4LGenerator

    public Vector4LGenerator​(net.java.quickcheck.Generator<java.lang.Long> in_gen)
    Construct a generator.
    Parameters:
      `in_gen` - A component generator

- ## Method Details

  - ### create

    public static net.java.quickcheck.Generator<Vector4L> create()
    Create a generator initialized with a default component generator.
    Returns:
      A generator

  - ### createSmall

    public static net.java.quickcheck.Generator<Vector4L> createSmall()
    Create a generator initialized with a default component generator that produces values in the range `[-65536, 65536]`.
    Returns:
      A generator

  - ### create64

    public static net.java.quickcheck.Generator<Vector4L> create64()
    Create a generator initialized with a default component generator that produces values in the range `[-9223372036854775808, 9223372036854775807]`.
    Returns:
      A generator

  - ### create32

    public static net.java.quickcheck.Generator<Vector4L> create32()
    Create a generator initialized with a default component generator that produces values in the range `[-2147483648, 2147483647]`.
    Returns:
      A generator

  - ### create16

    public static net.java.quickcheck.Generator<Vector4L> create16()
    Create a generator initialized with a default component generator that produces values in the range `[-32768, 32767]`.
    Returns:
      A generator

  - ### create8

    public static net.java.quickcheck.Generator<Vector4L> create8()
    Create a generator initialized with a default component generator that produces values in the range `[-128, 127]`.
    Returns:
      A generator

  - ### next

    public Vector4L next()
    Specified by:
      `next` in interface `net.java.quickcheck.Generator<Vector4L>`